%define pypi_name pecan

Name:           python-%{pypi_name}
Version:        1.4.0
Release:        %mkrel 1
Summary:        A WSGI object-dispatching web framework, designed to be lean and fast, with few dependancies
License:        BSD
Group:          Development/Python
URL:            https://pypi.org/project/pecan/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
A WSGI object-dispatching web framework, designed to be lean and fast,
with few dependancies.

#--------------------------------------------------------------------

%package -n     python3-%{pypi_name}
Summary:        A WSGI object-dispatching web framework, designed to be lean and fast, with few dependancies
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(beaker)
Requires:       python3dist(markupsafe)

%description -n python3-%{pypi_name}
A WSGI object-dispatching web framework, designed to be lean and fast,
with few dependancies.
This is the Python 3 build of %{pypi_name}.

%files -n python3-%{pypi_name}
%{_bindir}/gunicorn_pecan
%{_bindir}/pecan
%{python3_sitelib}/%{pypi_name}*

#--------------------------------------------------------------------

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install


%changelog
* Sun Nov 08 2020 guillomovitch <guillomovitch> 1.4.0-1.mga8
+ Revision: 1643766
- new version 1.4.0

* Wed Jul 22 2020 ovitters <ovitters> 1.3.3-3.mga8
+ Revision: 1608075
- rebuild for get rid of pythonegg requires

* Sun Feb 16 2020 umeabot <umeabot> 1.3.3-2.mga8
+ Revision: 1532181
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 1.3.3-1.mga8
+ Revision: 1441870
- new version: 1.3.3
- rebuild for python3.8
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 1.3.2-1.mga7
+ Revision: 1353757
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0.3-3.mga7
+ Revision: 1289664
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.0.3-2.mga7
+ Revision: 1135544
- Rebuild for python 3.6

* Sun Dec 20 2015 daviddavid <daviddavid> 1.0.3-1.mga6
+ Revision: 912463
- new version: 1.0.3
- add python 3 package
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-9.mga5
+ Revision: 750500
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.1-8.mga5
+ Revision: 729315
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-7.mga5
+ Revision: 688210
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.3.1-5.mga4
+ Revision: 544071
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.3.1-4.mga4
+ Revision: 499113
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Aug 01 2013 neoclust <neoclust> 0.3.1-3.mga4
+ Revision: 462048
- Add more requires

* Thu Aug 01 2013 neoclust <neoclust> 0.3.1-2.mga4
+ Revision: 462044
- Add python-mako as requires

* Thu Aug 01 2013 neoclust <neoclust> 0.3.1-1.mga4
+ Revision: 462025
- imported package python-pecan

